#ifndef INPUT_H
#define INPUT_H

typedef enum {
	KEY_FUNC_START = 0x8000,
	            KEY_F1,       KEY_F2,  KEY_F3,  KEY_F4,  KEY_F5,   KEY_F6,    KEY_F7,
	KEY_F8,	    KEY_F9,       KEY_F10, KEY_F11, KEY_F12, KEY_F13,  KEY_F14,   KEY_F15,
	KEY_ROLLUP, KEY_ROLLDOWN, KEY_INS, KEY_DEL, KEY_UP,  KEY_LEFT, KEY_RIGHT, KEY_DOWN,
	KEY_CLR,	KEY_HELP,	  KEY_HOME, KEY_UNDO,
	KEY_NUMPAD_0, KEY_NUMPAD_1, KEY_NUMPAD_2, KEY_NUMPAD_3,
	KEY_NUMPAD_4, KEY_NUMPAD_5, KEY_NUMPAD_6, KEY_NUMPAD_7,
	KEY_NUMPAD_8, KEY_NUMPAD_9, KEY_NUMPAD_SLASH, KEY_NUMPAD_ASTERISK,
	KEY_NUMPAD_MINUS, KEY_NUMPAD_PLUS, KEY_NUMPAD_EQUAL, KEY_NUMPAD_ENTER,
	KEY_NUMPAD_COMMA, KEY_NUMPAD_PERIOD,
	KEY_FUNC_END
} ScanCode;

#define KEY_MENU_START	(0x7000)
#define KEY_MENU_STEP	(0x0100)

/*extern	int		Cols, Lines ;*/
#if defined(WINDOWS) || defined(IBMPC)
extern	int		FontH, FontV ;
#else
	#define	FontH	8
	#define FontV	16
#endif
extern	int		Display_X, Display_Y;

extern	int		MouseX, MouseY ;
extern	int		MouseLeft, MouseRight ;
extern	int		MouseMove ;
extern	int		KeyCode ;
extern	int		ShiftStat ;

#ifdef __cplusplus
extern "C" {
#endif
/*	inputpc.c	*/
extern	void	InitInput( void );
extern	void	ExitInput( void );
extern	void	WaitInput( void );
extern	void	PeekInput( void );
extern	void	FlushKey( void );
extern	void	Locate( int, int );
extern	void	CursorON( void );
extern	void	CursorOFF( void );
extern	void	Bell( void );
extern	void	GetCursorPosition( int*, int* );
#ifdef __cplusplus
}
#endif

#endif
